#!/usr/bin/env python
# -*- coding: utf-8 -*-

""" Draws a "crop marks" and "center marks" around selected object """

import sys

try:
    from scribus import *
except ImportError:
    print "This script only runs from within Scribus."
    sys.exit(1)

def main():
    userUnit = getUnit()
    setUnit(1)
    x,y = getPosition()
    l,h = getSize()
    # line width
    lw = 0.1
    # black CMYK
    k = defineColor("k", 255, 255, 255, 255)
    
    t1 = createLine(x, y-2, x, y-7, 't1')
    t2 = createLine(x+l, y-2, x+l, y-7, 't2')
    t3 = createLine(x, y+7+h, x, y+2+h, 't3')
    t4 = createLine(x+l, y+7+h, x+l, y+2+h, 't4')
    t5 = createLine(x-2, y, x-7, y, 't5')
    t6 = createLine(x-2, y+h, x-7, y+h, 't6')
    t7 = createLine(x+l+2, y+h, x+l+7, y+h, 't7')
    t8 = createLine(x+l+2, y, x+l+7, y, 't8')
    t9 = createLine(x+l/2, y-3, x+l/2, y-7, 't9')
    t10 = createLine(x+l/2-2, y-5, x+l/2+2, y-5, 't10')
    t11 = createLine(x+l/2, y+h+3, x+l/2, y+h+7, 't11')
    t12 = createLine(x+l/2-2, y+h+5, x+l/2+2, y+h+5, 't12')
    
    # top bottom
    t13 = createLine(x+l/2, y-3, x+l/2, y-7, 't13')
    t14 = createLine(x+l/2-4, y-5, x+l/2+4, y-5, 't14')
    t15 = createLine(x+l/2, y+h+3, x+l/2, y+h+7, 't15')
    t16 = createLine(x+l/2-4, y+h+5, x+l/2+4, y+h+5, 't16')
    
    # left right
    t17 = createLine(x-5, y+h/2-4, x-5, y+h/2+4, 't17')
    t18 = createLine(x-7, y+h/2, x-3, y+h/2, 't18')
    t19 = createLine(x+l+5, y+h/2-4, x+l+5, y+h/2+4, 't19')
    t20 = createLine(x+l+3, y+h/2, x+l+7, y+h/2, 't20')
    deselectAll()
    for i in range(1,20+1):
	s = 't' + str(i)
	selectObject(s)
	setLineWidth(lw, s)
	setLineColor('k', s)
    groupObjects()
    deselectAll()
    setUnit(userUnit)

if __name__ == '__main__':
    if haveDoc() and selectionCount():
        main()
    else:
        messageBox("markers.py", "Please select an object to put crop marks around<i>before</i> running this script.", ICON_INFORMATION)
